.holder_search_card {
    position: absolute;
    top: 125px;
    transform: translate(50%, 50%);
    right: 50%;
    left: 50%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    z-index: 2;
}
.z_index_35{
	z-index: 35 !important;
}

.search_card {
  width: 100%;
  border-radius: var(--radius-small);
  border: 1px solid #eee;
  background-color: #fff;
  padding: 5px 20px 25px;
  display: flex;
  flex-direction: column;
}
  .search_card__tabs {
    width: 100%;
    display: flex;
    gap: 20px;
	border-bottom: 1px solid var(--gray-light);
  }
  .search_card__tabs--item {
    display: flex;
    gap: 5px;
    padding: 10px 15px 12px;
    align-items: center;
	flex-direction: row;
  }
  /* .search_card__tabs--item:hover {
    border-bottom: 2px solid #51679F;
  } */
  .search_card__tabs .active {
      border-bottom: 2px solid #463bff;
      filter: brightness(0) saturate(100%) brightness(0) saturate(100%) invert(32%) sepia(100%) saturate(880%) hue-rotate(205deg) brightness(100%) contrast(376%);
      font-weight: 500;
  }
  .search_card__tabs--item_icon {
    width: 25px;
    height: 25px;
  }
  .search_card__tabs--item_title{  
  
  }
  .search_card__inputs{
    width: 100%;
    margin-top: 20px;
    position: relative;
  }
.search_card__inputs--hotel {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: nowrap;
    transition: all .3s ease;
    max-height: fit-content;
    gap: 10px;
}
  .search_card__holder_input {
    position: relative;
    width: 30%;
}
  .search_card__city_ul .selected {
    background: #ebebeb;
    opacity: 0.5;
  }
  .search_card__city_ul .selected:hover{
    background: #ebebeb;
  }
  .search_card__icon_location {
    right: 5px;
    top: 9px !important;
  }
  .search_card__input {
    border-radius: var(--radius-big);
    padding: 10px 20px 11px 45px;
    font-size: 0.8rem;
    width: 100%;
    height: 50px;
    background-color: #fff;
    transition: all .3s ease;
    position: relative;
    border: 1px solid #EEEEEE;
    cursor: pointer;
}
  .search_card__input:hover {
      border: 1px solid var(--priymary-color);
  }
  .search_card__input::placeholder {
      font-weight: 300;
  }
  .search_card__input:focus{
    outline: 0;
  }
  .search_card__icon {
      position: absolute;
      top: 10px;
      left: 10px;
      width: 30px;
      height: 30px;
      filter: var(--filter-priymary-color);
  }
.search_card__select_city:focus {
    border-radius: 5px 5px 0 0;
    border: 1px solid var(--active-blue);
}
  
  .search_card__holder_input_tour .search_card__select_city:focus + .search_card__city_submenu .search_card__city_ul{
      overflow: auto;
  }
  .search_card__holder_submit {
    position: relative;
    width: 50px;
	min-width: 50px;
    height: 50px;
    cursor: pointer;
  }
  .search_card__city_submenu {
    position: absolute;
    background-color: #fff;
    width: 100%;
	padding: 10px 0px;
    border-radius: 0 0 var(--radius-mediom) var(--radius-mediom);
    top: 55px;
    opacity: 0;
    visibility: hidden;
    transition: all .3s ease;
  }
  .search_card__city_ul{
    overflow: auto;
    max-height: 0px;
    opacity: 0;
    visibility: hidden;
    transition: all .3s ease;
	scrollbar-width: none;
  }
  .search_card__city_ul::-webkit-scrollbar{
	  display: none;
  }
  .showList{
    opacity: 1;
    visibility: visible;
  }
  .showList .search_card__city_ul{
    max-height: 300px;
    opacity: 1;
    visibility: visible;
  }
  .search_card__city_ul::-webkit-scrollbar{
    display: none;
  }
  .search_card__city_li {
      list-style: none;
      background-color: #fff;
      padding: 10px;
      font-size: 0.84rem;
      text-wrap: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
      font-weight: 700;
      transition: all .3s ease;
      color: #000;
      cursor: pointer;
      display: flex;
      justify-content: space-between;
      align-items: center;
      flex-direction: row;
      gap: 5px;
  }
  .search_card__city_li:last-child {
      border-bottom: 0;
  }
  .search_card__city_li:hover {
      background-color: rgba(200, 200, 200, 0.19);
      padding-right: 15px;
  }
.search_card__submit {
	display: flex;
	position: relative;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 100%;
	background: var(--priymary-color);
	outline: 0;
	border: 0;
	cursor: pointer;
	border-radius: 5px;
	transition: all .3s ease;
}
  .search_card__holder_submit:hover .search_card__submit {
    background: var(--priymary-color-dark);
  }
  .search_card__submit_icon {
      width: 21px;
      height: 21px;
      transition: all .2s ease;
  }
  .hidden_search_inputs {
    opacity: 0;
    visibility: hidden;
    top: 25px;
    left: 0;
    position: absolute;
    width: 0;
    height: 0;
    transform: scale(0.9);
    overflow: hidden;
  }
.search_icon_loader::after {
    content: "";
    width: 25px;
    height: 25px;
    border: 4px solid #ffffff40;
    border-right: 4px solid var(--white);
    border-radius: 50%;
    animation: rotate .5s linear infinite;
}
@keyframes rotate {
	100%{
		transform: rotate(1turn);
	}
}
  .fixed_search__header {
    display: none;
}
.header-index {
    position: fixed ;
    top: 0;
    box-shadow: 0 0 5px #eee;
}
.child_menu_content {
    background-color: #ffffffee;
}

.custom-loader {
    position: absolute;
    top: 10px;
    left: 10px;
    width: 30px;
    height: 30px;
    display: grid;
    animation: s4 4s infinite;
}
@keyframes s4{
	100% {
		transform: rotate(1turn);
	}
}
.custom-loader::before, .custom-loader::after {
    content: "";
    grid-area: 1 / 1;
    border: 5px solid;
    border-radius: 50%;
    border-color: #1F78FF #1F78FF #0000 #0000;
    mix-blend-mode: darken;
    animation: s4 1s infinite linear;
}
.custom-loader::after {
    border-color: #0000 #0000 #E4E4ED #E4E4ED;
    animation-direction: reverse;
}
.priority_title {
    width: 100%;
    display: flex;
    font-size: 0.8rem;
    font-weight: 500;
    padding: 5px 10px;
    background-color: var(--tertiary-color);
    color: var(--priymary-color-light);
    align-items: center;
    margin: 5px 0;
}
.search_card__city_li--figure {
    border-radius: 5px;
    background: var(--light-gray-0);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 35px;
    height: 31px;
    padding: 5px;
}
.search_card__city_li--icon {
    opacity: 0.5;
    width: 100%;
    height: 100%;
}
.search_card__city_li span {
    width: calc(100% - 35px);
    text-overflow: ellipsis;
    overflow: hidden;
}
.search_card__city_li--hotel_count {
    width: 60px !important;
    text-align: left;
    font-size: 0.8rem;
    font-weight: 100;
    color: var(--gray-dark);
}
.search_card__city_li--hotel_star {
    display: flex;
    justify-content: space-between;
    font-size: 0.8rem;
    font-weight: 100;
    filter: contrast(0) brightness(1.3);
    gap: 5px;
    align-items: center;
    width: 68px;
}
.search_card__city_li--hotel_star img {
    width: 11px;
    height: 11px;
}
.search_card__city_li--hotel_star span {
    width: unset;
    text-overflow: unset;
    overflow: unset;
}
.search_box_text--not_result {
    padding: 10px;
}

/* ---------------------- */

.passengers__submenu {
    position: absolute;
    background: var(--white);
    top: 60px;
    right: 0;
    width: 100%;
	min-width: 228px;
    display: flex;
    border-radius: var(--radius-mediom);
    padding: 5px;
    flex-direction: column;
    gap: 10px;
    max-height: 0px;
    overflow: hidden;
    opacity: 0;
	visibility: hidden;
    transition: all .3s ease;
}
.showPassengersMenu {
	opacity: 1;
	visibility: visible;
	max-height: 400px;
}
.passengers__submenu--mobo_header{
	display: none;
}
.passengers__submenu_rooms {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
    max-height: 220px;
    overflow: auto;
    scrollbar-width: none;
}
.passengers__submenu_room {
    display: flex;
    flex-direction: column;
    gap: 10px;
    border: 1px solid var(--gray);
    padding: 10px;
    position: relative;
    transition: all .3s ease;
    max-height: 160px;
    opacity: 1;
}
.passengers__submenu_room--caption {
    display: flex;
    flex-direction: column;
	justify-content: center;
}
.passengers__submenu_room--holder {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.passengers__submenu_room--title {
    margin-right: 5px;
    font-weight: 600;
    padding: 0 10px;
}
.passengers__submenu_room--name{

}
.passengers__submenu_room--desc {
    font-size: 14px;
    color: var(--text-gray);
}
.passengers__submenu_buttons {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
}
.passengers__submenu_buttons--more, .passengers__submenu_buttons--less {
    height: 35px;
    width: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--tertiary-color-light);
    color: var(--text-blue);
    border-radius: var(--radius-big);
    border: 1px solid var(--priymary-color);
	transition: all .3s ease;
}
.passengers__submenu_buttons--more img, .passengers__submenu_buttons--less img {
    width: 20px;
    height: 20px;
    filter: var(--filter-priymary-color);
}
.passengers__submenu_buttons--more:hover, .passengers__submenu_buttons--less:hover {
    background: var(--priymary-color);
    color: var(--text-white);
    cursor: pointer;
}
.passengers__submenu_buttons--more:hover img, .passengers__submenu_buttons--less:hover img {
    filter: contrast(0) brightness(2);
}
.passengers__submenu_buttons--more:disabled, .passengers__submenu_buttons--less:disabled {
    cursor: no-drop;
    color: var(--text-blue);
    background: var(--tertiary-color-light);
    border: 1px solid var(--tertiary-color);
}
.passengers__submenu_buttons--more:disabled img, .passengers__submenu_buttons--less:disabled img {
    filter: var(--filter-priymary-color);
}
.passengers__submenu_buttons--count {
    width: 35px;
    text-align: center;
    font-weight: 500;
}
.passengers__submenu--add {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
    color: var(--priymary-color);
    font-size: 14px;
    font-weight: 500;
    user-select: none;
    cursor: pointer;
	position: relative;
}
.passengers__submenu--add img {
    filter: var(--filter-secondary-color);
    width: 20px;
    height: 20px;
}

.passengers__submenu--add.after::after {
	content: "";
	position: absolute;
	bottom: 25px;
	right: 0;
	width: 100%;
	height: 50px;
	background: linear-gradient(to top , var(--white) , transparent);
	pointer-events: none;
}
.passengers__submenu--btn {
    background: var(--priymary-color);
    border: 0;
    border-radius: var(--radius-mediom);
    color: var(--text-white);
	transition: all .3s ease;
    height: 40px;
	font-family: inherit;
}
.passengers__submenu--btn:hover {
    background: var(--priymary-color-dark);
    cursor: pointer;
}
.passengers__submenu_room_del {
    position: absolute;
    background: var(--white);
    top: -23px;
    left: 5px;
    color: var(--red);
    display: flex;
    align-items: center;
    gap: 2px;
    font-size: 14px;
    padding: 0 10px;
	cursor: pointer;
}
.passengers__submenu_room_del img {
    width: 20px;
    height: 20px;
    filter: var(--filter-red);
}
.search_card__holder_input--title {
    position: absolute;
    top: -12px;
    right: 10px;
    z-index: 1;
    background: var(--white);
    padding: 0 5px;
    font-size: 14px;
    color: var(--text-gray);
}
.box__error-on {
    border: 1px solid var(--red) !important;
}
.search_card__error {
    color: var(--red);
    font-size: 14px;
    opacity: 1;
	position: absolute;
    transition: all .3s ease;
    max-height: 50px;
    display: flex;
}
.search_card__error.hide {
    opacity: 0;
    visibility: hidden;
    max-height: 0;
}
/* -------------------------      Responcive      ------------- */
@media (min-width: 650px) and (max-width: 1024px) {
    .search_card__inputs--hotel, .search_card__inputs--tour {
        display: grid;
        grid-template-columns: 1fr 1fr;
		gap: 20px !important;
    }
	.search_card__holder_input {
        width: 100%;
		z-index: 1;
    }
	.search_card__holder_submit {
        width: 100%;
		height: 100%;
    }
	.search_card__city_submenu {
		z-index: 2;
	}
	.holder_search_card {
		margin-top: -28px !important;
		top: 83px;
	}
	.header {
        /* margin: 55px 0 250px !important; */
		margin-bottom: 255px !important;
    }
	.search_card__icon {
		top: 13px;
	}
	.search_card__inputs--hotel {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
	.search_card__holder_submit {
		grid-area: 3 / 1 / 3 / 3;
		height: 50px;
    }
	.search_card__error {
    	display: none;
	}
}
@media (max-width: 800px) {
    .header {
        /* margin-bottom: 255px !important; */
    }
	.holder_search_card {
        margin-top: -150px !important;
    }
}
/* @media (min-width: 601px) and (max-width: 800px) {
    .search_card__inputs--hotel {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
	.search_card__holder_submit {
		grid-area: 3 / 1 / 3 / 3;
    }
} */
@media (max-width: 650px) {
	.passengers__submenu {
		position: fixed;
		top: unset;
		bottom: -100%;
		padding: 10px;
		max-height: 100svh;
		height: 100svh;
		z-index: 1;
	}
	
	.passengers__submenu_rooms {
		max-height: calc(100svh - 170px);
	}
	.passengers__submenu--mobo_header {
        display: flex;
        align-items: center;
        flex-direction: row;
        gap: 10px;
        font-size: 18px;
        font-weight: 500;
        border-bottom: 1px solid var(--gray);
		padding: 5px 0 15px;
    }
	.passengers__submenu--mobo_header img {
		width: 22px;
		height: 22px;
	}
	.passengers__submenu--btn {
        position: absolute;
        bottom: 10px;
        right: 10px;
        width: calc(100% - 20px);
        height: 50px;
    }
    .holder_search_card {
        top: 155px;
    }
    .search_card {
        height: 325px;
        width: 100%;
    }
    .search_card__inputs--hotel, .search_card__inputs--tour {
        gap: 10px;
        flex-direction: column;
        transition: all .5s ease;
    }
    .search_card__holder_input {
        width: 100%;
    }
    .search_card__input {
        text-align: right;
		margin: 0 10px;
        width: calc(100% - 20px);
    }
    .search_card__city_submenu {
        z-index: 2;
		padding: 5px 0 0;
    }
    .search_card__city_ul, .search_card__city_submenu {
        width: 100% !important;
        max-height: 0;
    }
    .priority_title {
        padding: 9px 10px;
        font-size: 0.9rem;
        width: 100%;
    }
    .search_card__city_li {
        padding: 12px 10px;
        border-bottom: 0;
        margin: 0;
    }
    .search_card__holder_submit {
        width: 100%;
    }
    .search_card__submit {
        border-radius: 30px;
    }
	.showList .search_card__city_ul {
		max-height: calc(100svh - 227px);
		min-height: calc(100svh - 227px);
		background: var(--white);
	}
	.search_card__error {
		left: 10px;
	}
	.search_card__holder_input--title {
    	right: 20px;
	}
	.passengers__submenu {
        position: fixed;
        top: unset;
        bottom: -100%;
        padding: 10px;
        max-height: 100svh;
        height: 100svh;
        z-index: 2;
    }	
	.showPassengersMenu {
		opacity: 1;
		visibility: visible;
		bottom: 0;
	}
}

